# Uses of Class
org.springframework.cglib.core.MethodInfo

Packages that use MethodInfo
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).

## Uses of MethodInfo in org.springframework.cglib.core

Methods in org.springframework.cglib.core that return MethodInfo
Modifier and Type
Method
Description
`MethodInfo`
CodeEmitter.`getMethodInfo()`
`static MethodInfo`
ReflectUtils.`getMethodInfo(Member member)`
`static MethodInfo`
ReflectUtils.`getMethodInfo(Member member, int modifiers)`
Methods in org.springframework.cglib.core with parameters of type MethodInfo
Modifier and Type
Method
Description
`static CodeEmitter`
EmitUtils.`begin_method(ClassEmitter e, MethodInfo method)`
`static CodeEmitter`
EmitUtils.`begin_method(ClassEmitter e, MethodInfo method, int access)`
`void`
CodeEmitter.`invoke(MethodInfo method)`
`void`
CodeEmitter.`invoke(MethodInfo method, Type virtualType)`
`static boolean`
TypeUtils.`isConstructor(MethodInfo method)`
`static void`
EmitUtils.`load_method(CodeEmitter e, MethodInfo method)`